Bug 831064 - List --installed could not display subscribed but not installed products
List --installed could not display subscribed but not installed products
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide (Show other bugs)
6.3
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks: 738066
  Show dependency treegraph
 
Reported: 2012-06-12 02:28 EDT by yu zheng
Modified: 2012-06-26 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 11:02:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yu zheng 2012-06-12 02:28:47 EDT
Description of problem:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/viewing-ents-cmd.html

In section 4.9.2. Listing Subscriptions with the Command Line

Command list --installed could only list products that are installed on the system. The products which have assigned subscriptions to the system but not installed should not display.

In the following example:
[root@server1 ~]# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
ProductName:         Red Hat Enterprise Linux 
Status:              Not Subscribed
Expires:
Subscription:
ContractNumber:
AccountNumber:


ProductName:         Awesome OS Server
Status:              Not Installed
                     ^^^^^^^^^^^^^this product should not be listed   
Expires:             2012-02-20
Subscription:        54129829316535230
ContractNumber:      39
AccountNumber:       12331131231

Note You need to log in before you can comment on or make changes to this bug.